From fe39c3efbf1696efd8dd643a862edd338eb1804f Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Apr 16 2015 19:46:10 +0000
Subject: [PATCH 8/1001] Messing with styling.


---

diff --git a/hubs/app.py b/hubs/app.py
index e059240..031b971 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -18,6 +18,7 @@ def index():
 
 
 @app.route('/<hub_name>')
+@app.route('/<hub_name>/')
 def hubs_view(hub_name):
     session = models.init(app.config['DB_URL'])
     hub = session.query(models.Hub)\
diff --git a/hubs/models.py b/hubs/models.py
index db4c743..5782b60 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -81,10 +81,18 @@ def init(db_url, debug=False, create=False):
 class Hub(BASE):
     __tablename__ = 'hubs'
     name = sa.Column(sa.String(50), primary_key=True)
+    summary = sa.Column(sa.String(128))
     created_on = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
     widgets = relation('Widget', backref=backref('hub'))
     left_width = sa.Column(sa.Integer, nullable=False, default=8)
 
+    #fas_group = sa.Column(sa.String(32), nullable=False)
+
+    #members = ...
+    #subscribers = ...
+    #owners = ...
+
+
     @property
     def right_width(self):
         return 12 - self.left_width
diff --git a/populate.py b/populate.py
index 7263aa7..904d512 100644
--- a/populate.py
+++ b/populate.py
@@ -11,7 +11,7 @@ if 'HUBS_CONFIG' in os.environ:
 
 session = hubs.models.init(app.config['DB_URL'], True, True)
 
-hub = hubs.models.Hub(name='lol')
+hub = hubs.models.Hub(name='designteam', summary='The Fedora Design Team')
 session.add(hub)
 
 widget = hubs.models.Widget(plugin='dummy', index=0)

